Bug 1260959 - Console: search filter names and buttons are not localized
Console: search filter names and buttons are not localized
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity low
: DR2
: 6.3.0
Assigned To: Cristiano Nicolai
Lukáš Petrovický
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 06:00 EDT by Pavel Kralik
Modified: 2018-03-31 18:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Search filters localization problem zh_CN (51.90 KB, image/png)
2015-09-08 06:00 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-09-08 06:00:01 EDT
Created attachment 1071280 [details]
Search filters localization problem zh_CN

Description of problem:
Every page that contains default search filters has problem with localization. The names of the filters are in English even ja_JP or zh_CN locale is selected. Job perspective has a button named "Job Service Settings" and several titles in English eg. "Autorefresh", "Restore default Filters" 

There's a problem with searching in console (tasks/jobs/process).

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER1

How reproducible:
Always

Steps to Reproduce:
1. Switch to ja_JP or zh_CN locales
2. Go to console (tasks/jobs/process instances) and see nonlocalized filter names

Actual results:
Non localized names

Expected results:
Localization for JP and CN.

Additional info:
See attached screenshots.
Comment 2 Cristiano Nicolai 2016-02-22 20:30:46 EST
source code changes made and source documents pushed to Zanata.
Comment 3 Pavel Kralik 2016-03-11 12:10:55 EST
BPMS 6.3.0.DR2

Note You need to log in before you can comment on or make changes to this bug.